Extend Lock
curl --request POST \
--url http://{host}:{port}/{contextPath}/external-task/{id}/extendLock \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"workerId": "anId",
"newDuration": 100000
}
'import requests
url = "http://{host}:{port}/{contextPath}/external-task/{id}/extendLock"
payload = {
"workerId": "anId",
"newDuration": 100000
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({workerId: 'anId', newDuration: 100000})
};
fetch('http://{host}:{port}/{contextPath}/external-task/{id}/extendLock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}External Task
Extend Lock
Extends the timeout of the lock by a given amount of time.
POST
/
external-task
/
{id}
/
extendLock
Extend Lock
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the external task.
Body
application/json
An amount of time (in milliseconds). This is the new lock duration starting from the current moment.
Mandatory. The ID of the worker who is performing the operation on the external task. If the task is already locked, must match the id of the worker who has most recently locked the task.
Response
Request successful.
⌘I